#include <kdialog.h>
#include <klocale.h>

#ifndef UI_COMMITDLG_H
#define UI_COMMITDLG_H

#include <qvariant.h>


#include <Qt3Support/Q3MimeSourceFactory>
#include <QtCore/QVariant>
#include <QtGui/QAction>
#include <QtGui/QApplication>
#include <QtGui/QButtonGroup>
#include <QtGui/QDialog>
#include <QtGui/QHBoxLayout>
#include <QtGui/QPushButton>
#include <QtGui/QSpacerItem>
#include <QtGui/QVBoxLayout>
#include "ktextedit.h"

class Ui_CommitDlg
{
public:
    QVBoxLayout *vboxLayout;
    QVBoxLayout *vboxLayout1;
    KTextEdit *textMessage;
    KTextEdit *listMessage;
    QHBoxLayout *hboxLayout;
    QSpacerItem *spacerItem;
    QPushButton *pushButton1;
    QPushButton *pushButton2;

    void setupUi(QDialog *CommitDlg)
    {
    if (CommitDlg->objectName().isEmpty())
        CommitDlg->setObjectName(QString::fromUtf8("CommitDlg"));
    CommitDlg->resize(451, 337);
    vboxLayout = new QVBoxLayout(CommitDlg);
    vboxLayout->setSpacing(6);
    vboxLayout->setMargin(11);
    vboxLayout->setObjectName(QString::fromUtf8("vboxLayout"));
    vboxLayout1 = new QVBoxLayout();
    vboxLayout1->setSpacing(6);
    vboxLayout1->setObjectName(QString::fromUtf8("vboxLayout1"));
    textMessage = new KTextEdit(CommitDlg);
    textMessage->setObjectName(QString::fromUtf8("textMessage"));

    vboxLayout1->addWidget(textMessage);

    listMessage = new KTextEdit(CommitDlg);
    listMessage->setObjectName(QString::fromUtf8("listMessage"));
    listMessage->setReadOnly(true);

    vboxLayout1->addWidget(listMessage);

    hboxLayout = new QHBoxLayout();
    hboxLayout->setSpacing(6);
    hboxLayout->setObjectName(QString::fromUtf8("hboxLayout"));
    spacerItem = new QSpacerItem(220, 20, QSizePolicy::Expanding, QSizePolicy::Minimum);

    hboxLayout->addItem(spacerItem);

    pushButton1 = new QPushButton(CommitDlg);
    pushButton1->setObjectName(QString::fromUtf8("pushButton1"));

    hboxLayout->addWidget(pushButton1);

    pushButton2 = new QPushButton(CommitDlg);
    pushButton2->setObjectName(QString::fromUtf8("pushButton2"));

    hboxLayout->addWidget(pushButton2);


    vboxLayout1->addLayout(hboxLayout);


    vboxLayout->addLayout(vboxLayout1);


    retranslateUi(CommitDlg);
    QObject::connect(pushButton1, SIGNAL(clicked()), CommitDlg, SLOT(accept()));
    QObject::connect(pushButton2, SIGNAL(clicked()), CommitDlg, SLOT(reject()));

    QMetaObject::connectSlotsByName(CommitDlg);
    } // setupUi

    void retranslateUi(QDialog *CommitDlg)
    {
    CommitDlg->setWindowTitle(tr2i18n("Log Message", 0));
    pushButton1->setText(tr2i18n("&OK", 0));
    pushButton2->setText(tr2i18n("&Cancel", 0));
    Q_UNUSED(CommitDlg);
    } // retranslateUi

};

namespace Ui {
    class CommitDlg: public Ui_CommitDlg {};
} // namespace Ui

class CommitDlg : public QDialog, public Ui::CommitDlg
{
    Q_OBJECT

public:
    CommitDlg(QWidget* parent = 0, const char* name = 0, bool modal = false, Qt::WindowFlags fl = 0);
    ~CommitDlg();

    virtual void setLog( const QString & comment );
    virtual QString logMessage() const;

protected slots:
    virtual void languageChange();

};

#endif // COMMITDLG_H

